Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://{primary_domain}/api/public/v2.0/calendars/{calendar_id}/events/{event_id} \ --header 'Content-Type: application/json' \ --header 'X-Access-Key-Id: <api-key>' \ --header 'X-Access-Key-Secret: <api-key>' \ --data ' { "title": "<string>", "start": "2023-11-07T05:31:56Z", "end": "2023-11-07T05:31:56Z", "attendees": [ { "email": "jsmith@example.com", "name": "<string>" } ], "body": "<string>", "location": "<string>" } '
{ "message": "<string>", "data": { "id": 123, "calendar_id": 123, "title": "<string>", "start": "2023-11-07T05:31:56Z", "end": "2023-11-07T05:31:56Z", "attendees": [ { "email": "jsmith@example.com", "name": "<string>", "is_organizer": true, "customer_id": 123, "calendar_id": 123 } ], "body": "<string>", "location": "<string>", "cancel_note": "<string>", "canceled_by_id": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z", "public_id": "<string>", "provider_event_id": "<string>", "customer_id": 123, "meeting_link_id": 123, "online_conference": { "id": 123, "online_conference_account_id": 123, "public_id": "<string>", "title": "<string>", "is_public": true, "deleted_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "backer_event_id": 123, "is_occurred": true, "started_at": "2023-11-07T05:31:56Z", "ended_at": "2023-11-07T05:31:56Z" } } }
Required permissions: events.update.*
events.update.*
255
Show child attributes
1000
An Event resource object.